/* GENERAL */
body {
    color: #444444;
    background: white;
}

:root {
    scroll-behavior: smooth;
}

a {
    color: #15488c;
    text-decoration: none !important;

}

.swal2-cancel, .swal2-confirm {
    margin-left: 5px;
}

.swal2-confirm {
    background-color: #15488c;
}

.swal2-confirm:hover {
    background-color: #15488c;
}

a:hover {
    color: #0468ec;
    text-decoration: none !important;
}

#link {
    color: #15488c;
    text-decoration: underline !important;
}

#link:hover {
    color: #0468ec;
    text-decoration: underline !important;
}

h1, h2, h3, h4, h5, h6 {
    color: #15488c;

}

.text-bold {
    font-weight: bold !important;
}

.hover-effect {
    transition: transform 0.2s ease, box-shadow 0.2s ease;
}
.hover-effect:hover {
    transform: scale(1.05); /* Slightly increases the size of the card */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Adds a shadow on hover */
}
/* GENERAL */

th, td {
    vertical-align: middle;
}

footer {
    margin-bottom: 100px;
    text-align: center;
    font-size: medium;
    font-weight: bold;
}

/* PASSWORD */
#showEye {
    position: absolute;
    right: 15px;
    transform: translate(0,-50%);
    top: 50%;
    margin-top: 2px;
    cursor: pointer;
}

#eye, #eye1 {
    font-size: 25px;
    color: #7a797e;
}
/* PASSWORD */

/* HEADER */
.header {
    transition: all 0.5s;
    z-index: 997;
    padding: 20px 0;
}

.header.header-scrolled {
    background: #fff;
    padding: 15px 0;
    box-shadow: 0px 2px 20px rgba(1, 41, 112, 0.1);
}

.header .logo {
    line-height: 0;
}

.header .logo img {
    width: 300px;
    height: 55px;
    margin-right: 6px;
}

.header .logo span {
    font-size: 30px;
    font-weight: 700;
    letter-spacing: 1px;
    color: #15488c;
    font-family: "Nunito", sans-serif;
    margin-top: 3px;
    text-decoration: none !important;
}
/* HEADER */

/* DASHBOARD */
.items {
    text-align: center;
    padding: 10px;
    max-width: 200px;
    max-height: 200px;
    cursor: pointer;
    margin-left: auto;
    margin-right: auto;
}

.main-item {
    background-color: #DEDEDE;
    border-radius: 10px;
    padding: 10px;
    transition: 0.1s;
    padding: 10px;
    max-width: 200px;
    min-height: 180px;
    cursor: pointer;
    margin-left: auto;
    margin-right: auto;
}

.main-item.green {
    border-bottom: 3px solid #15488c;
}

.main-item.gold {
    border-bottom: 3px solid #FFD700;
}

.main-item:hover, .sub-item:hover {
    background-color:  rgb(184, 179, 179);
    background: #15488c;
    color:white;
    text-decoration: bold;
}

.sub-item:hover {
    background-color:  rgb(16, 175, 80);
    color:black;
    text-decoration: bold;
    transition: 0.3s;
}

.item-hovered {
    background-color:  rgb(184, 179, 179);
    background: #15488c;
    color:white;
    text-decoration: bold;
}

.sub-item {
    background: #15488c;
    color: white;
    border-radius: 10px;
    height: 0;
    overflow: hidden;
    margin-bottom: 3px;
    min-height: 55px;
    padding-top: 10px;
    visibility: hidden;
    transition: height 1s ease;
}

.sub-item img {
    max-width: 40px;
    float: left;
    margin: 0 5px 0 10px;
}

.sub-item.close {
    height: 0;
    visibility: hidden;
    transition: height 0.3s ease;
}

.sub-item.open {
    height: 40px;
    visibility: visible;
}

.hide-item {
    display: none;
}

.show-item {
    display: block;
}

.items .icon_img {
    max-height: 100px;
    min-height: 100px;
    display:block;
    margin:auto
}

.badge-success, .badge-active {
    background-color: white;
    color: #14592D;
    border: 2px solid #14592D;
}

.badge-secondary, .badge-inactive, .badge-no-check-in {
    background-color: white;
    color: #70747c;
    border: 2px solid #70747c;
}

.badge-primary, .badge-new, .badge-checked-in, .badge-checked-out {
    background-color: white;
    color: #0275d8;
    border: 2px solid #0275d8;
}

.badge-danger, .badge-rejected {
    background-color: white;
    color: #dc3545;
    border: 2px solid #dc3545;
}

#volunteer-list {
    cursor: pointer;
}

@media (max-width: 992px) {
    .row {
        display: flex;
        flex-wrap: wrap;
    }
    .col-lg-3 {
        flex: 0 0 100%;
        max-width: 100%;
        margin-top: 120px;
    }
    .sub-item {
        margin: auto auto 5px auto;
        max-width: 200px;
    }
}

.dataTables_scroll {
    overflow:auto;
}

/* DASHBOARD */

/* TABLE */
table {
    overflow-x: auto;
    max-width: 100%;
}

table thead th {
    font-size: 15px;
}

table tbody td {
    font-size: 12px;
}

#agency-list-table tbody tr {
    cursor: text;
}
/* TABLE */

.badge-success {
    background-color: #15488c;
}

.badge-danger {
    background-color: #dc3545;
}

.text-right {
    text-align: right;
}

.text-left {
    text-align: left;
}

.autofill {
    background: #e9ecef;
}

.btn-victory {
    background-color: #15488c;
    color: white;
}

.btn-victory:hover, .btn-victory:active, .btn-victory:focus, .btn-victory:focus-visible  {
    background-color: #0063e6 !important;
    color: white !important;
}

.title-header {
    color: #15488c;
    padding-top: 20.5px
}

/* Increase font size for the entire DataTable */
.dataTables_wrapper {
    font-size: 14px; /* Adjust the font size as needed */
}

/* Increase font size for specific columns */
.dataTables_wrapper .dataTables_scrollHead th,
.dataTables_wrapper .dataTables_scrollBody td {
    font-size: 14px; /* Adjust the font size as needed */
}

.btn-group {
    min-width: 100%;
    min-height: 57px
}

.btn-group button:not(.active) {
    background-color: #fff;
    color: black;
}

#reader video,
#reader__scan_region video,
#reader__scan_region canvas,
#kc-scan-reader video,
#kc-scan-reader__scan_region video,
#kc-scan-reader__scan_region canvas {
    transform: scaleX(-1) !important;
    transform-origin: center;
}
